/* This file is part of the Allegria project
   Copyright (C) 2004, 2008 Francois Schiettekatte <francois.schiettekatte@umontreal.ca>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; see the file COPYING.  If not, write to
   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.
*/

#ifndef COLORSERIES_H
#define COLORSERIES_H

#include <qcolor.h>

// generates cyclingly 72 symetrically distributed colors, 
// with always the same color for the same index i
QColor colorSeries(long i) {

  if(i<0) return QColor(0, 0, 0);

  long hue[12] = {0, 60, 120, 180, 240, 300, 30, 90, 150, 210, 270, 330};
  long sat[3] = {255, 150};
  long val[3] = {170, 255, 85};
/*
	long h = (i%3*120 + dp[(i/3)%16])%360;
	long s = sv[(i/(3*16))%3];
	long v = sv[(i/(3*16*3))%3];
*/
  return QColor::fromHsv(hue[i%12],sat[(i/36)%2],val[(i/12)%3]);
}

#endif //COLORSERIES_H

